/report/:id
curl --request PUT \
--url https://api.tagdeliver.com/v1/report/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [],
"temporary": true,
"filters": {},
"title": "<string>",
"custom_date": {
"start": "2023-12-25",
"end": "2023-12-25"
}
}
'import requests
url = "https://api.tagdeliver.com/v1/report/{id}"
payload = {
"fields": [],
"temporary": True,
"filters": {},
"title": "<string>",
"custom_date": {
"start": "2023-12-25",
"end": "2023-12-25"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [],
temporary: true,
filters: {},
title: '<string>',
custom_date: {start: '2023-12-25', end: '2023-12-25'}
})
};
fetch('https://api.tagdeliver.com/v1/report/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"id": 19972,
"title": null,
"created_by": 564,
"organisation_id": 3,
"fields": [
"date",
"publisher",
"uid",
"net_revenue",
"gross_revenue"
],
"date_range": "seven_days",
"custom_date": null,
"filters": {
"account_name": {
"matches": [],
"type": "include"
},
"account_owner": {
"matches": [],
"type": "include"
},
"channel": {
"matches": [],
"type": "include"
},
"config_id": {
"matches": [],
"type": "include"
},
"creative_size": {
"matches": [],
"type": "include"
},
"device": {
"matches": [],
"type": "include"
},
"environment": {
"matches": [],
"type": "include"
},
"geo": {
"matches": [],
"type": "include"
},
"line_item": {
"matches": [],
"type": "include"
},
"oid": {
"matches": [],
"type": "include"
},
"partner": {
"matches": [],
"type": "include"
},
"platform": {
"matches": [],
"type": "include"
},
"region": {
"matches": [],
"type": "include"
},
"revenue_source": {
"matches": [],
"type": "include"
},
"uid": {
"matches": [],
"type": "include"
},
"unit": {
"matches": [],
"type": "include"
}
},
"order": null,
"limit": null,
"created_on": "2025-11-24 11:16:16",
"table_state": null,
"temporary": true
},
"success": true
}Reporting/Revenue Reports
/report/:id
Update a reports config
PUT
/
v1
/
report
/
{id}
/report/:id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique report ID
Body
application/json
Pick a dynamic or fixed date range. If custom then custom_date is also required.
Available options:
custom, yesterday, seven_days, thirty_days, three_months, six_months, last_week, last_month, last_quarter, last_year, week_to_date, month_to_date, quarter_to_date, year_to_date, all_time Pick two or more fields to build the report, note that some fields are incompatible with others.
Available options:
account_name, account_owner, ad_impressions, ad_requests, ad_responses, ad_unit_loads, campaign_advertiser, campaign, channel, clicks, config_id, config_name, cost, creative_size, ctr, date, device, ecpm, environment, fill, geo, gross_revenue, imp_fill, line_item, month, net_revenue, organisation, partner, platform, publisher, q1_impressions, q1_percent, q2_impressions, q2_percent, q3_impressions, q3_percent, q4_impressions, q4_percent, region, revenue_source, rpm, uid, unit_fill, unit, viewability, viewable_impressions If true, report wont show up in the list of reports in platform, if false, title is required
Filter data on various fields
Show child attributes
Show child attributes
Required if temporary=false
Used when date_range is set to custom to provide the start and end date
Show child attributes
Show child attributes
Was this page helpful?
⌘I